LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 05-28-2017, 04:18 AM   #1
Glenn D.
Member
 
Registered: May 2009
Location: ACT - Australia
Distribution: Opensuse x86_64 (Latest)
Posts: 132

Rep: Reputation: 26
How do install the requests module -python


Hello,

How is this fixed ??

see following:
Thanks
--Glenn

steps done:

- download files from https://github.com/freeseek/getmyancestors
https://github.com/freeseek/getmyanc...myancestors.py
https://github.com/freeseek/getmyanc...ster/README.md

README.md
getmyancestors.py

# python3 -V
Python 3.6.1

# python -V
Python 2.7.5

using opensuse 64 bit x86_64

# python getmyancestors.py
You need to install the requests module first
(run this in your terminal: "python3 -m pip install requests" or "python3 -m pip install --user requests")

# python3 -m pip install requests
Collecting requests
Could not fetch URL https://pypi.python.org/simple/requests/: There was a problem confirming the ssl certificate: [Errno 2] No such file or directory - skipping
Could not find a version that satisfies the requirement requests (from versions: )
No matching distribution found for requests


# python3 -m pip install --user requests
Collecting requests
Could not fetch URL https://pypi.python.org/simple/requests/: There was a problem confirming the ssl certificate: [Errno 2] No such file or directory - skipping
Could not find a version that satisfies the requirement requests (from versions: )
No matching distribution found for requests
 
Old 05-28-2017, 05:34 AM   #2
hydrurga
LQ Guru
 
Registered: Nov 2008
Location: Pictland
Distribution: Linux Mint 20 MATE
Posts: 8,048
Blog Entries: 5

Rep: Reputation: 2917Reputation: 2917Reputation: 2917Reputation: 2917Reputation: 2917Reputation: 2917Reputation: 2917Reputation: 2917Reputation: 2917Reputation: 2917Reputation: 2917
Searching the exact error message on Google ("There was a problem confirming the ssl certificate") returns:

https://stackoverflow.com/questions/...st-any-library

which suggests that using the --trusted-host pypi.python.org option may work.

Given that you're experiencing this pip/SSL issue, you should probably try resolving the underlying problem too. Try searching Google for the above string along with "OpenSUSE".
 
  


Reply

Tags
python


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
configure: error: The xdg python module is required (pyxdg or python-xdg) Sargalus Linux - Software 7 03-24-2010 07:34 AM
How can I uninstall a python package installed with python setup.py install? milomak Linux - Software 1 11-16-2009 09:22 PM
python update - Unable to load GTK2 Python bindings: No module named gtk itpedersen Linux - Software 2 10-03-2008 03:44 AM
Problem importing python module...cant install anything!!! bpedman Linux - Software 0 02-07-2007 08:02 PM
using distutils to install a python module shanenin Programming 2 11-29-2005 09:44 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 08:24 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration